Package ch.qos.logback.classic.pattern

# Class RootCauseFirstThrowableProxyConverter

java.lang.Object
ch.qos.logback.core.pattern.Converter<E>
ch.qos.logback.core.pattern.FormattingConverter<E>
ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
ch.qos.logback.classic.pattern.ClassicConverter
ch.qos.logback.classic.pattern.ThrowableHandlingConverter
ch.qos.logback.classic.pattern.ThrowableProxyConverter
ch.qos.logback.classic.pattern.ExtendedThrowableProxyConverter
ch.qos.logback.classic.pattern.RootCauseFirstThrowableProxyConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

public class RootCauseFirstThrowableProxyConverter extends ExtendedThrowableProxyConverter

Since:
  0.9.30
Author:
  Tomasz Nurkiewicz

## Field Summary

### Fields inherited from class ch.qos.logback.classic.pattern.ThrowableProxyConverter

`BUILDER_CAPACITY`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

## Constructor Summary

Constructors
Constructor
Description
`RootCauseFirstThrowableProxyConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`recursiveAppendRootCauseFirst(StringBuilder sb, String prefix, int indent, IThrowableProxy tp)`
`protected String`
`throwableProxyToString(IThrowableProxy tp)`

### Methods inherited from class ch.qos.logback.classic.pattern.ExtendedThrowableProxyConverter

`extraData, prepareLoggingEvent`

### Methods inherited from class ch.qos.logback.classic.pattern.ThrowableProxyConverter

`convert, start, stop, subjoinSTEPArray`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RootCauseFirstThrowableProxyConverter

public RootCauseFirstThrowableProxyConverter()

## Method Details

### throwableProxyToString

protected String throwableProxyToString(IThrowableProxy tp)

Overrides:
  `throwableProxyToString` in class `ThrowableProxyConverter`

### recursiveAppendRootCauseFirst

protected void recursiveAppendRootCauseFirst(StringBuilder sb, String prefix, int indent, IThrowableProxy tp)